Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.ui.labeling
Class AParLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.xtext.ui.label.AbstractLabelProvider
                      org.eclipse.xtext.ui.label.DeclarativeLabelProvider
                          org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider
                              org.eclipse.amp.amf.parameters.ui.labeling.AParLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class AParLabelProvider

extends org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider

Provides labels for a EObjects. see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#labelProvider

Constructor Summary
`AParLabelProvider(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider delegate)`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.label.DefaultEObjectLabelProvider
`doGetText, getLabelFeature`

Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider
`doGetImage, handleImageError, handleTextError, image, image, text, text`

Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider
`convertToImage, convertToString, convertToStyledString, getDefaultImage, getDefaultStyledText, getDefaultText, getImage, getStyledText, getText, setImageHelper`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### AParLabelProvider

    @Inject
    public AParLabelProvider(org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider delegate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD